{
  inputs,
  overlays,
}:
let
  inherit (inputs)
    nixpkgs
    home-manager
    catppuccin
    nix-flatpak
    plasma-manager
    spicetify-nix
    vicinae
    ;
in
nixpkgs.lib.nixosSystem {
  system = "x86_64-linux";
  modules = [
    ./hardware-configuration.nix
    ./configuration.nix
    catppuccin.nixosModules.catppuccin
    nix-flatpak.nixosModules.nix-flatpak
    # lanzaboote.nixosModules.lanzaboote
    home-manager.nixosModules.home-manager
    {
      home-manager.useGlobalPkgs = true;
      home-manager.useUserPackages = true;
      home-manager.backupFileExtension = "backup";
      home-manager.sharedModules = [
        plasma-manager.homeModules.plasma-manager
        spicetify-nix.homeManagerModules.default
        vicinae.homeManagerModules.default
      ];
      home-manager.extraSpecialArgs = { inherit inputs; };
      home-manager.users.imnyang = import ./home;
    }
  ];
  specialArgs = {
    inherit inputs;
    inherit overlays;
  };
}
